OpenVZ Forum


Home » General » Support » kernel upgrade issue in vps
kernel upgrade issue in vps [message #16491] Sun, 09 September 2007 10:05 Go to next message
phpcs is currently offline  phpcs
Messages: 5
Registered: September 2007
Junior Member
Hi,
I've a vps account that is based on Virtuozzo ,
I need to add ppp support to my kernel or upgrade it to 2.6.18,
I wana know that is it possible or not?
Re: kernel upgrade issue in vps [message #16495 is a reply to message #16491] Mon, 10 September 2007 06:15 Go to previous messageGo to next message
khorenko is currently offline  khorenko
Messages: 533
Registered: January 2006
Location: Moscow, Russia
Senior Member
Hi.

unfortunately support ppp has not been virtualized yet, i.e. it cann't be used inside a VE.
http://bugzilla.openvz.org/show_bug.cgi?id=268

This is still true for both VZ and OVZ.


If your problem is solved - please, report it!
It's even more important than reporting the problem itself...
Re: kernel upgrade issue in vps [message #16498 is a reply to message #16495] Mon, 10 September 2007 09:59 Go to previous messageGo to next message
phpcs is currently offline  phpcs
Messages: 5
Registered: September 2007
Junior Member
then what can I do to setup a vpn server?
Re: kernel upgrade issue in vps [message #16501 is a reply to message #16498] Mon, 10 September 2007 10:46 Go to previous messageGo to next message
khorenko is currently offline  khorenko
Messages: 533
Registered: January 2006
Location: Moscow, Russia
Senior Member
phpcs wrote on Mon, 10 September 2007 13:59

then what can I do to setup a vpn server?

Well, you can setup an OpenVPN, for example, which uses TUN/TAP, not the ppp.
http://wiki.openvz.org/VPN_via_the_TUN/TAP_device


If your problem is solved - please, report it!
It's even more important than reporting the problem itself...
Re: kernel upgrade issue in vps [message #16502 is a reply to message #16501] Mon, 10 September 2007 10:56 Go to previous messageGo to next message
phpcs is currently offline  phpcs
Messages: 5
Registered: September 2007
Junior Member
tnx but the output of "modprobe tun" is:
FATAL: Module tun not found.

how to load tun module? or even is it possible with my vps's kernel?
Re: kernel upgrade issue in vps [message #16504 is a reply to message #16502] Mon, 10 September 2007 11:10 Go to previous messageGo to next message
khorenko is currently offline  khorenko
Messages: 533
Registered: January 2006
Location: Moscow, Russia
Senior Member
i suspect you're tring to load the module inside the VE.
The module should be loaded on the Hardware Node.


If your problem is solved - please, report it!
It's even more important than reporting the problem itself...
Re: kernel upgrade issue in vps [message #16507 is a reply to message #16504] Mon, 10 September 2007 11:41 Go to previous messageGo to next message
phpcs is currently offline  phpcs
Messages: 5
Registered: September 2007
Junior Member
what if I haven't access to Hardware Node.
I'm just a VE user
Re: kernel upgrade issue in vps [message #16508 is a reply to message #16507] Mon, 10 September 2007 11:54 Go to previous message
khorenko is currently offline  khorenko
Messages: 533
Registered: January 2006
Location: Moscow, Russia
Senior Member
Well, looks like you have to ask the support people for the help,
you cann't set up it without the access to the HN, sorry.


If your problem is solved - please, report it!
It's even more important than reporting the problem itself...
Previous Topic: OpenVZ and Iptables
Next Topic: swap
Goto Forum:
  


Current Time: Tue Dec 05 08:59:31 GMT 2023

Total time taken to generate the page: 0.01978 seconds